// pages/subject/index.js
const api = require("../../utils/request.js");

Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    api.request('/question/subject/', 'GET').then(res => {
      var subjectData = res.data
      api.request('/crm/consumer/subjectpaid', 'GET').then(res => {
        for(var i=0;i<subjectData.length;i++){
          if(res.data.indexOf(subjectData[i].id)!=-1){
            subjectData[i].is_paid = true
          }else{
            subjectData[i].is_paid = false
          }
        }
        this.setData({
          subjectData:subjectData
        })
      })
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  chooseSubject: function (e) {
    let subject = e.currentTarget.dataset
    if(subject.is_paid){
      wx.setStorageSync('nowSubject', subject)
      wx.navigateBack({
      })
    }
  },
  
  buy: function(e){
    if(getApp().globalData.userinfo.username == null){
      wx.reLaunch({
        url: '/pages/login/login2',
      })
    }else{
      wx.showToast({
        title: '请联系顾问师圆:18355135390',
        icon: 'none'
      })
    }
  }
})